# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_1a72gktq2s/clone/recipe, last modified Thu Mar 16 05:58:49 2023
# ------------------------------------------------

package:
  name: networkx
  version: 2.8.4
source:
  sha256: 5e53f027c0d567cf1f884dbb283224df525644e43afd1145d64c9d88a3584762
  url: https://pypi.io/packages/source/n/networkx/networkx-2.8.4.tar.gz
build:
  number: '1'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_1a72gktq2s/croot/networkx_1678964337061/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vvv --no-deps
  string: py310hecd8cb5_1
requirements:
  host:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - certifi 2022.12.7 py310hecd8cb5_0
    - libffi 3.4.2 hecd8cb5_6
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - pip 23.0.1 py310hecd8cb5_0
    - python 3.10.9 h218abb5_2
    - readline 8.2 hca72f7f_0
    - setuptools 65.6.3 py310hecd8cb5_0
    - sqlite 3.41.1 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.38.4 py310hecd8cb5_0
    - xz 5.2.10 h6c40b1e_1
    - zlib 1.2.13 h4dc903c_0
  run:
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
  imports:
    - networkx
    - networkx.algorithms
    - networkx.algorithms.approximation
    - networkx.algorithms.assortativity
    - networkx.algorithms.bipartite
    - networkx.algorithms.centrality
    - networkx.algorithms.coloring
    - networkx.algorithms.community
    - networkx.algorithms.components
    - networkx.algorithms.connectivity
    - networkx.algorithms.flow
    - networkx.algorithms.isomorphism
    - networkx.algorithms.link_analysis
    - networkx.algorithms.minors
    - networkx.algorithms.node_classification
    - networkx.algorithms.operators
    - networkx.algorithms.shortest_paths
    - networkx.algorithms.traversal
    - networkx.algorithms.tree
    - networkx.classes
    - networkx.drawing
    - networkx.generators
    - networkx.linalg
    - networkx.readwrite
    - networkx.readwrite.json_graph
    - networkx.testing
    - networkx.tests
    - networkx.utils
  requires:
    - pip
about:
  description: 'NetworkX is a Python language software package for the creation,

    manipulation, and study of the structure, dynamics, and functions of complex

    networks.

    '
  dev_url: https://github.com/networkx/networkx
  doc_url: https://networkx.org/documentation/stable
  home: https://networkx.github.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Python package for creating and manipulating complex networks
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 1a8b1968-887f-4b30-bcf6-afaece048583
  recipe-maintainers:
    - FelixMoelder
    - SylvainCorlay
    - ocefpaf
    - synapticarbors
  remote_url: git@github.com:AnacondaRecipes/networkx-feedstock.git
  sha: 712ef38361026ea7d6655a4494f846c2d7f76e43
  skip-lints:
    - invalid_url
